package wechat

const (
	// TokenExpires token expires time 1 hours
	TokenExpires = 60 * 60

	// BaseURL api host
	BaseURL = `https://api.weixin.qq.com`
	// OpenURL open host
	OpenURL = `https://open.weixin.qq.com`

	// PayHost pay base host
	PayHost = `https://api.mch.weixin.qq.com`

	// ErrReqOk request ok
	ErrReqOk = 0

	/*
		// PayURLUnifiedOrder pay 付款
		PayURLUnifiedOrder = `/pay/unifiedorder`
		// PayURLPayRefund pay refund 退款
		PayURLPayRefund = `/secapi/pay/refund`
		// PayURLPapPay 委托代扣申请扣款
		PayURLPapPay = `/pay/pappayapply`
		// PayURLPapayEntrust H5 纯签约
		PayURLPapayEntrust = `/papay/h5entrustweb`

		// PayTradeTypeJS JSAPI 公众号支付
		PayTradeTypeJS = `JSAPI`
		// PayTradeTypeNative NATIVE 扫码支付
		PayTradeTypeNative = `NATIVE`
		// PayTradeTypeAPP APP APP支付
		PayTradeTypeAPP = `APP`
		// */

	// MsgText text message
	MsgText = `text`
	// MsgImage image message
	MsgImage = `image`
	// MsgVoice voice message
	MsgVoice = `voice`
	// MsgVideo video message
	MsgVideo = `video`
	// MsgShortVideo shortvideo message
	MsgShortVideo = `shortvideo`
	// MsgLocation location message
	MsgLocation = `location`
	// MsgLink link message
	MsgLink = `link`

	// MsgNews news
	MsgNews = `news`
	// MsgMusic music
	MsgMusic = `music`
)

// text/image/voice/video/shortvideo/location/link
